Home
last modified time | relevance | path

Searched refs:ifn (Results 1 – 25 of 31) sorted by relevance

12

/freebsd-12-stable/libexec/rc/
Dpccard_ether37 eval ifx_routes=\$static_routes_${ifn}
54 eval ifx_routes=\$static_routes_${ifn}
67 autoif $ifn || exit 0
73 ifexists $ifn || exit 1
77 if [ "${uif}" = "${ifn}" ]; then
84 /etc/rc.d/netif quietstart $ifn
88 if [ -n "`ifconfig_getargs $ifn`" ]; then
89 if ! dhcpif $ifn; then
99 if [ -n "`ifconfig_getargs $ifn`" ]; then
100 if ! dhcpif $ifn; then
[all …]
Dnetwork.subr35 # ifn_start ifn
41 local ifn cfg
42 ifn="$1"
45 [ -z "$ifn" ] && err 1 "ifn_start called without an interface"
47 ifscript_up ${ifn} && cfg=0
48 ifconfig_up ${ifn} && cfg=0
49 if ! noafif $ifn; then
50 afexists inet && ipv4_up ${ifn} && cfg=0
51 afexists inet6 && ipv6_up ${ifn} && cfg=0
53 childif_create ${ifn} && cfg=0
[all …]
/freebsd-12-stable/libexec/rc/rc.d/
Dnetif187 for ifn in $_cooked_list; do
188 case ${ifn#epair} in
193 $ifn) _tmp_list="$_tmp_list ${ifn}a ${ifn}b" ;;
194 *) _tmp_list="$_tmp_list ${ifn}" ;;
205 for ifn in ${_cooked_list# }; do
209 if ! ${IFCONFIG_CMD} $ifn > /dev/null 2>&1; then
210 warn "$ifn does not exist. Skipped."
211 _fail="${_fail} ${ifn}"
216 if ${_func} ${ifn} $2; then
217 _ok="${_ok} ${ifn}"
[all …]
Dwpa_supplicant18 ifn="$2"
19 if [ -z "$ifn" ]; then
32 ifconfig ${ifn} down
33 ifconfig ${ifn} up
36 if is_wired_interface ${ifn} ; then
38 elif is_ndis_interface ${ifn} ; then
48 pidfile="/var/run/${name}/${ifn}.pid"
49 command_args="-B -i $ifn -c $conf_file -D $driver -P $pidfile"
Ddhclient12 ifn="$2"
17 pidfile="/var/run/dhclient/${name}.${ifn}.pid"
25 if [ -z "${rc_force}" ] && ! dhcpif $ifn; then
27 msg="'$ifn' is not a DHCP-enabled interface"
42 specific=$(get_if_var $ifn dhclient_flags_IF)
47 background_dhclient=$(get_if_var $ifn background_dhclient_IF $background_dhclient)
52 rc_flags="${rc_flags} ${ifn}"
58 if [ -z $ifn ] ; then
Dhostapd18 if [ -n "$ifn" ]; then
19 ifconfig ${ifn} down
21 ifconfig ${ifn} up
25 ifn="$2"
26 if [ -z "$ifn" ]; then
32 conf_file="/etc/${name}-${ifn}.conf"
33 pidfile="/var/run/${name}-${ifn}.pid"
Dsppp25 for ifn in ${sppp_interfaces}; do
26 eval spppcontrol_args=\$spppconfig_${ifn}
31 eval spppcontrol ${ifn} ${spppcontrol_args}
Dnatd24 for ifn in ${dhcp_list}; do
26 ${ifn})
/freebsd-12-stable/release/picobsd/mfs_tree/etc/
Drc.network12 for ifn in ${network_interfaces}; do
13 [ -e /etc/start_if.${ifn} ] && . /etc/start_if.${ifn}
15 eval ifconfig_args=\$ifconfig_${ifn}
16 [ -n "${ifconfig_args}" ] && ifconfig ${ifn} ${ifconfig_args}
21 eval ifconfig_args=\$ifconfig_${ifn}_alias${alias}
23 ifconfig ${ifn} ${ifconfig_args} alias
29 ifconfig ${ifn}
/freebsd-12-stable/sys/netinet/
Dsctp_bsd_addr.c149 sctp_is_desired_interface_type(struct ifnet *ifn) in sctp_is_desired_interface_type() argument
154 switch (ifn->if_type) { in sctp_is_desired_interface_type()
201 struct ifnet *ifn; in sctp_init_ifns_for_vrf() local
210 CK_STAILQ_FOREACH(ifn, &MODULE_GLOBAL(ifnet), if_link) { in sctp_init_ifns_for_vrf()
211 if (sctp_is_desired_interface_type(ifn) == 0) { in sctp_init_ifns_for_vrf()
215 IF_ADDR_RLOCK(ifn); in sctp_init_ifns_for_vrf()
216 CK_STAILQ_FOREACH(ifa, &ifn->if_addrhead, ifa_link) { in sctp_init_ifns_for_vrf()
256 (void *)ifn, in sctp_init_ifns_for_vrf()
257 ifn->if_index, in sctp_init_ifns_for_vrf()
258 ifn->if_type, in sctp_init_ifns_for_vrf()
[all …]
Dsctp_os_bsd.h203 #define SCTP_IFN_IS_IFT_LOOP(ifn) ((ifn)->ifn_type == IFT_LOOP) argument
315 #define SCTP_GATHER_MTU_FROM_IFN_INFO(ifn, ifn_index, af) ((struct ifnet *)ifn)->if_mtu argument
/freebsd-12-stable/sbin/ipf/libipf/
Dipft_hx.c61 hex_readip(mb_t *mb, char **ifn, int *dir) in hex_readip() argument
73 if (ifn) in hex_readip()
74 *ifn = NULL; in hex_readip()
100 if (ifn) in hex_readip()
101 *ifn = strdup(u); in hex_readip()
108 } else if (ifn) in hex_readip()
109 *ifn = t; in hex_readip()
Dipft_tx.c117 text_readip(mb_t *mb, char **ifn, int *dir) in text_readip() argument
126 *ifn = NULL; in text_readip()
138 *ifn = NULL; in text_readip()
140 if (!parseline(line, (ip_t *)buf, ifn, dir)) { in text_readip()
161 parseline(char *line, ip_t *ip, char **ifn, int *out) in parseline() argument
168 if (*ifn) in parseline()
169 free(*ifn); in parseline()
192 return (parseipv6(cpp, (ip6_t *)ip, ifn, out)); in parseline()
205 *ifn = strdup(*cpp++); in parseline()
336 parseipv6(char **cpp, ip6_t *ip6, char **ifn, int *out) in parseipv6() argument
[all …]
Dipft_pc.c203 ipcap_readip(mb_t *mb, char **ifn, int *dir) in ipcap_readip() argument
214 ifn = ifn; /* gcc -Wextra */ in ipcap_readip()
/freebsd-12-stable/sbin/nvmecontrol/
Dpassthru.c63 const char *ifn; member
84 .ifn = "",
129 ARG("input-file", 'i', arg_path, opt, ifn,
173 if (*opt.ifn && (ifd = open(opt.ifn, O_RDONLY)) == -1) { in passthru()
174 warn("open %s", opt.ifn); in passthru()
198 *opt.ifn ? opt.ifn : "stdin", in passthru()
/freebsd-12-stable/contrib/libpcap/
Dfad-glifc.c83 struct lifnum ifn; in pcap_findalldevs_interfaces() local
119 ifn.lifn_family = AF_UNSPEC; in pcap_findalldevs_interfaces()
120 ifn.lifn_flags = 0; in pcap_findalldevs_interfaces()
121 ifn.lifn_count = 0; in pcap_findalldevs_interfaces()
122 if (ioctl(fd4, SIOCGLIFNUM, (char *)&ifn) < 0) { in pcap_findalldevs_interfaces()
133 buf_size = ifn.lifn_count * sizeof (struct lifreq); in pcap_findalldevs_interfaces()
/freebsd-12-stable/sys/netpfil/pf/
Dif_pflog.c208 struct ifnet *ifn; in pflog_packet() local
214 if ((ifn = V_pflogifs[rm->logif]) == NULL || !ifn->if_bpf) in pflog_packet()
261 if_inc_counter(ifn, IFCOUNTER_OPACKETS, 1); in pflog_packet()
262 if_inc_counter(ifn, IFCOUNTER_OBYTES, m->m_pkthdr.len); in pflog_packet()
263 BPF_MTAP2(ifn, &hdr, PFLOG_HDRLEN, m); in pflog_packet()
/freebsd-12-stable/usr.bin/uniq/
Duniq.c105 const char *ifn; in main() local
158 ifn = "stdin"; in main()
161 ifp = file(ifn = argv[0], "r"); in main()
164 err(1, "unable to limit rights for %s", ifn); in main()
194 err(1, "%s", ifn); in main()
242 err(1, "%s", ifn); in main()
/freebsd-12-stable/sbin/ifconfig/
Difbridge.c590 setbridge_ifpriority(const char *ifn, const char *pri, int s, in setbridge_ifpriority() argument
601 strlcpy(req.ifbr_ifsname, ifn, sizeof(req.ifbr_ifsname)); in setbridge_ifpriority()
609 setbridge_ifpathcost(const char *ifn, const char *cost, int s, in setbridge_ifpathcost() argument
620 strlcpy(req.ifbr_ifsname, ifn, sizeof(req.ifbr_ifsname)); in setbridge_ifpathcost()
628 setbridge_ifmaxaddr(const char *ifn, const char *arg, int s, in setbridge_ifmaxaddr() argument
639 strlcpy(req.ifbr_ifsname, ifn, sizeof(req.ifbr_ifsname)); in setbridge_ifmaxaddr()
/freebsd-12-stable/usr.bin/unifdef/
Dunifdef.c384 processinout(const char *ifn, const char *ofn) in processinout() argument
388 if (ifn == NULL || strcmp(ifn, "-") == 0) { in processinout()
393 filename = ifn; in processinout()
394 linefile = ifn; in processinout()
395 input = fopen(ifn, "rb"); in processinout()
397 err(2, "can't open %s", ifn); in processinout()
/freebsd-12-stable/contrib/elftoolchain/elfcopy/
Dbinary.c139 create_elf_from_binary(struct elfcopy *ecp, int ifd, const char *ifn) in create_elf_from_binary() argument
219 if ((sym_basename = strdup(ifn)) == NULL) in create_elf_from_binary()
/freebsd-12-stable/contrib/file/magic/Magdir/
Dc-lang26 >0 regex \^#[[:space:]]*(if\|ifn)def
30 >0 regex \^#[[:space:]]*(if\|ifn)def
/freebsd-12-stable/sbin/ipfw/
Dnat.c83 set_addr_dynamic(const char *ifn, struct nat44_cfg_nat *n) in set_addr_dynamic() argument
128 if (strlen(ifn) == sdl->sdl_nlen && in set_addr_dynamic()
129 strncmp(ifn, sdl->sdl_data, sdl->sdl_nlen) == 0) { in set_addr_dynamic()
136 errx(1, "unknown interface name %s", ifn); in set_addr_dynamic()
170 strncpy(n->if_name, ifn, IF_NAMESIZE); in set_addr_dynamic()
/freebsd-12-stable/usr.sbin/pmcstat/
Dpmcpl_calltree.c672 pmcstat_interned_string ifl, ifn; in pmcpl_ct_node_hash_lookup() local
676 ifn = pmcstat_string_intern(fn); in pmcpl_ct_node_hash_lookup()
679 ifn = 0; in pmcpl_ct_node_hash_lookup()
696 ct->pct_ifl == ifl && ct->pct_ifn == ifn) in pmcpl_ct_node_hash_lookup()
712 ct->pct_ifn = ifn; in pmcpl_ct_node_hash_lookup()
/freebsd-12-stable/sbin/natd/
Dnatd.c890 SetAliasAddressFromIfName(const char *ifn) in SetAliasAddressFromIfName() argument
935 if (strlen(ifn) == sdl->sdl_nlen && in SetAliasAddressFromIfName()
936 strncmp(ifn, sdl->sdl_data, sdl->sdl_nlen) == 0) { in SetAliasAddressFromIfName()
944 errx(1, "unknown interface name %s", ifn); in SetAliasAddressFromIfName()
974 warnx("%s: cannot get interface address", ifn); in SetAliasAddressFromIfName()

12